Subject: [L2CP] Scope (was: Revised WG Charter Draft)

From: "Busschbach, Peter B (Peter)" <[email-masked]>
Date: Wed, 5 Apr 2006 10:50:44 -0400

Hi Woj,

Let me respond with two separate emails, as the topics are different.

The charter starts with the following text:

"The purpose of the L2CP WG is to standardize an IP based Layer 2 control protocol (L2CP) for use in service provider access and aggregation type networks. The protocol is to be inter-operable among a wide set of multi-vendor devices, including but not limited to Access Nodes and Network Access Server (NAS) nodes e.g. Broadband Network Gateways (BNGs). 

L2CP is intended to addresses the requirement for a bidirectional, IP-based protocol that operates across a number of access and aggregation network technologies e.g. Ethernet, ATM."

This is very general and not in line with the decision made at the BOF. I propose to replace it by the following:

"The purpose of the L2CP WG is to standardize an IP based Layer 2 control protocol (L2CP) for use in DSL Access Network between Access Nodes and Broadband Network Gateways(BNGs). The protocol design will not preclude other uses of L2CP."

Peter

> -----Original Message-----
> From: Wojciech Dec (wdec) [mailto:[email-masked]]
> Sent: Wednesday, April 05, 2006 7:34 AM
> To: Busschbach, Peter B (Peter); [email-masked]
> Subject: RE: [L2CP] Re: Revised WG Charter Draft
> 
> 
> Hi Peter,
> 
> To address 1) we have put in the following statement in the charter
> which you may have not noticed.
> 
> "The protocol design will not preclude other uses of L2CP." 
> 
> WRT 2) we do not lay any claims to how different operators structure
> their data bases, and some are probably better at doing it 
> than others.
> However it does seem to be a fairly common problem that the 
> info related
> to a single subscriber's network service needs to be farmed 
> out and fed
> into numerous custom built manager systems besides also the Radius DB.
> The idea is to allow a mechanism, through the use of L2CP, to have the
> Access node be provided with such information as and when 
> needed by the
> NAS which in turn accesses a common repository like a Radius DB. 
> Dave's statement was, I believe, in relation to different 
> subject; that
> of a wholesale-retail operation, where indeed the relationship is more
> complex. However we do plan on addressing this as evidenced by the
> statement in the charter:
> "L2CP will address security aspects of the control protocol, including
> the trust model between NAS nodes and access nodes."
> 
> Regards,
> Woj.
> 
> -----Original Message-----
> From: Busschbach, Peter B (Peter) [mailto:[email-masked]] 
> Sent: 04 April 2006 21:23
> To: [email-masked]'
> Subject: [L2CP] Re: Revised WG Charter Draft
> 
> I have two comments on the revised charter.
> 
> 1)	At the end of the BOF, Mark Townsley limited the scope of the
> working group. Unfortunately, this is not captured very clearly in the
> meeting minutes. The critical sentence in the meeting minutes is "DSL
> but good engineers ...". I.e. the focus of the WG is to solve a
> particular issue in DSL access networks, but as good 
> engineers we should
> not preclude the use of the protocol for other applications.
> 
> I don't see the limited scope reflected in the new charter.
> 
> 2)	Under "Line Configuration". the charter says:
> 
> > L2CP is intended to simplify the OSS infrastructure for service 
> > management, allowing subscriber-related service data to be 
> maintained 
> > in fewer repositories (e.g. RADIUS server back-end database) while 
> > avoiding complex cross-organization interactions.
> 
> I don't understand how L2CP leads to fewer Radius server back end data
> bases. I also don't understand how L2CP avoids cross-organizational
> interactions. There seems to be an assumption that it is ok 
> for L2CP to
> cross organizational boundaries but not for other protocols. I don't
> think that is correct. At the BOF, Dave Allan pointed out  
> that this is
> one of the more difficult problems to solve. Therefore, I believe that
> this text should be removed from the charter.
> 
> Peter 
> 
> 
> 
> _______________________________________________
> L2cp mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/l2cp
> 

_______________________________________________
L2cp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/l2cp